/* Include generic conference behavior */
{ include("generic_conference.asl") } 

/* Initial beliefs */
//celebration_month(Month).				// Month (in [0,11]) in which the conference is celebrated
//accept_value(AcceptanceValue).		// Acceptance value (in [1,10] for the conference)
//update_weight(0.1).					// Update weight for the acceptance value
n_reviewers_updated(0).

/* Plans */
// Set-up plan
+!init 
   <- +req_quality(5.5);
      !generic_init. 

// Update conference average quality
// NewAvgQuality = (1 - UpdateWeight)*OldReqQuality + UpdateWeight*AvgQuality
+!updateConference(AvgQuality,_,_) : req_quality(OldReqQuality) & update_weight(UpdateWeight)
   <- -+req_quality((1 - UpdateWeight)*OldReqQuality + UpdateWeight*AvgQuality). 

